classification
Title: gcc profile guided optimization
Type: performance Stage: resolved
Components: Build Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, christian.heimes, pitrou, rpetrov
Priority: normal Keywords: patch

Created on 2009-01-25 20:18 by rpetrov, last changed 2013-07-08 15:05 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
py-issue-profile.patch rpetrov, 2009-01-25 20:18 proposed patch review
Messages (5)
msg80537 - (view) Author: Roumen Petrov (rpetrov) * Date: 2009-01-25 20:18
The make target "run_profile_task" fail as executable cannot load shared
library. Patch attached.
msg109640 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-08 22:56
Could someone from the build area please take a look at the patch, only three lines have changed.
msg109641 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-07-08 22:58
On which platform? it works here (Python 3.2, Linux).
msg109845 - (view) Author: Roumen Petrov (rpetrov) * Date: 2010-07-10 10:36
a) search for fficonfig.h is fixed long time ago (i could not remember issue)
b) build python executable cannot run without to setup some environment variables  - $(RUNSHARED).
msg192657 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-07-08 15:05
run_profile_task has been fixed a while ago and works with --enabled-shared.
History
Date User Action Args
2013-07-08 15:05:28christian.heimessetstatus: open -> closed

nosy: + christian.heimes
messages: + msg192657

resolution: works for me
stage: patch review -> resolved
2010-07-10 10:36:32rpetrovsetmessages: + msg109845
2010-07-08 22:58:56pitrousetnosy: + pitrou
messages: + msg109641
2010-07-08 22:56:12BreamoreBoysetversions: + Python 3.1, Python 3.2
nosy: + BreamoreBoy

messages: + msg109640

stage: patch review
2009-01-25 20:19:34rpetrovsettype: performance
2009-01-25 20:19:17rpetrovsetcomponents: + Build
2009-01-25 20:18:59rpetrovsetversions: + Python 2.7
2009-01-25 20:18:36rpetrovcreate